﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification\ 
for details on configuring this project to bundle and minify static web assets. */
body {
    padding-top: 50px;
    padding-bottom: 20px;
}

/* Wrapping element */
/* Set some basic padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Carousel */
.carousel-caption p {
    font-size: 20px;
    line-height: 1.4;
}

/* Make .svg files in the carousel display properly in older browsers */
.carousel-inner .item img[src$=".svg"] {
    width: 100%;
}

/* QR code generator */
#qrCode {
    margin: 15px;
}

#pacmanImg {
    width: 30px;
    height: 30px;
    position: absolute;
    top: 265px;
    left: 137px;
}

    #pacmanImg img {
        position: relative;
        width: 100%;
        height: auto;
    }

.rotatedUp {
    transform: rotate(-90deg);
    -webkit-transform: rotate(-90deg);
    -moz-transform: rotate(-90deg);
    -o-transform: rotate(-90deg);
}

.rotatedRight {
    transform: rotate(0deg);
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
}

.rotatedDown {
    transform: rotate(90deg);
    -webkit-transform: rotate(90deg);
    -moz-transform: rotate(90deg);
    -o-transform: rotate(90deg);
}

.rotatedLeft {
    transform: rotate(180deg);
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -o-transform: rotate(180deg);
}



#playerInfo {
    width: 250px;
    position: absolute;
    top: 20px;
    left: 460px;
    border: 1px solid #eee;
    padding:20px;
}

#board {
    width: 448px;
    height: 497px;
    background-image: url('/images/Board 1.bmp');
    background-repeat: no-repeat;
    background-position: left top;
    position: relative;
    margin:20px;
}

#food {
    position: absolute;
}

.food {
    width: 8px;
    height: 8px;
    background-repeat: no-repeat;
    background-position: center center;
    position: absolute;
}

.ghost {
    width: 30px;
    height: 30px;
    background-repeat: no-repeat;
    background-position: center center;
    position: absolute;
}

.footer {
    padding: 10px 15px;
    background-color: #222;
    border-top: 1px solid #ddd;
    border-bottom-right-radius: 3px;
    border-bottom-left-radius: 3px;
    color: #9d9d9d;
}

.loginPanel {
    border: 1px solid #eee;
    margin: auto;
    width: 400px;
    margin-top: 30px;
    padding: 20px;
}

.loginPanel h2{
    text-align:center;
    padding-bottom:20px;
}

.loginPanel label {
    width:130px;
}


.btn {
    float: right;
    margin-right: 50px;
    margin-top: 10px;
}

.form-group-submit {
    overflow: hidden;
}

#infoblock {
    opacity: 0.9;
    filter: alpha(opacity=90);
    width: 450px;
    text-align: center;
    height: 500px;
    background-color: white;
    vertical-align: middle;
    display: none;
    font-size:50px;
    font-weight:bold;
    z-index:100;
}
/* Hide/rearrange for smaller screens */
@media screen and (max-width: 767px) {
    /* Hide captions */
    .carousel-caption {
        display: none;
    }
}
